D-Bus: DBusObjectPathVTable Struct Reference

D-Bus 1.14.0

Data Fields
DBusObjectPathVTable Struct Reference
D-Bus low-level public API » DBusConnection

Virtual table that must be implemented to handle a portion of the object path hierarchy. More...

`#include <dbus-connection.h>`

## Data Fields
DBusObjectPathUnregisterFunction | unregister_function
| Function to unregister this handler. More...
DBusObjectPathMessageFunction | message_function
| Function to handle messages. More...
void(* | dbus_internal_pad1 )(void *)
| Reserved for future expansion. More...
void(* | dbus_internal_pad2 )(void *)
| Reserved for future expansion. More...
void(* | dbus_internal_pad3 )(void *)
| Reserved for future expansion. More...
void(* | dbus_internal_pad4 )(void *)
| Reserved for future expansion. More...

## Detailed Description

Virtual table that must be implemented to handle a portion of the object path hierarchy.

Attach the vtable to a particular path using dbus_connection_register_object_path() or dbus_connection_register_fallback().

Definition at line 385 of file dbus-connection.h.

## Field Documentation

## ◆ dbus_internal_pad1

void(* DBusObjectPathVTable::dbus_internal_pad1) (void *)

Reserved for future expansion.

Definition at line 390 of file dbus-connection.h.

## ◆ dbus_internal_pad2

void(* DBusObjectPathVTable::dbus_internal_pad2) (void *)

Reserved for future expansion.

Definition at line 391 of file dbus-connection.h.

## ◆ dbus_internal_pad3

void(* DBusObjectPathVTable::dbus_internal_pad3) (void *)

Reserved for future expansion.

Definition at line 392 of file dbus-connection.h.

## ◆ dbus_internal_pad4

void(* DBusObjectPathVTable::dbus_internal_pad4) (void *)

Reserved for future expansion.

Definition at line 393 of file dbus-connection.h.

## ◆ message_function

DBusObjectPathMessageFunction DBusObjectPathVTable::message_function

Function to handle messages.

Definition at line 388 of file dbus-connection.h.

Referenced by _dbus_object_tree_register().

## ◆ unregister_function

DBusObjectPathUnregisterFunction DBusObjectPathVTable::unregister_function

Function to unregister this handler.

Definition at line 387 of file dbus-connection.h.

The documentation for this struct was generated from the following file:

- dbus-connection.h